<?php
// eb_confirm.php

session_start();

// Überprüfen, ob EB-Nummer und Barcode vorhanden sind
$eb_nummer = $_SESSION['eb_nummer'] ?? null;
$barcode_svg = $_SESSION['barcode_svg'] ?? null;

// Entfernen der Daten aus der Session
unset($_SESSION['eb_nummer'], $_SESSION['barcode_svg']);

// Wenn keine EB-Nummer vorhanden ist, zurück zur Erfassungsseite
if (!$eb_nummer || !$barcode_svg) {
    header('Location: index.php?action=eb_erfassen');
    exit();
}
?>
<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <title>EB Bestätigung</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link 
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" 
        rel="stylesheet"
    >
</head>
<body>
<?php include 'partials/navbar.php'; ?>
<div class="container my-5">
    <h1 class="text-center text-primary">EB erfolgreich erstellt</h1>
    <div class="alert alert-success text-center">
        <h4>EB-Nummer: <?= htmlspecialchars($eb_nummer); ?></h4>
        <div class="mt-3">
            <?= $barcode_svg; ?>
        </div>
    </div>
    <div class="d-flex justify-content-center mt-4">
        <a href="index.php?action=eb_erfassen" class="btn btn-primary me-2">Weiteren EB erfassen</a>
        <a href="index.php?action=eb_list" class="btn btn-secondary">Zur EB-Liste</a>
    </div>
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
