<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Artikel Lagerplatz zuordnen</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
<?php include 'partials/navbar.php'; ?>

<div class="container my-5">
    <h1 class="text-center">Artikel einem Lagerplatz zuordnen</h1>

    <form action="index.php?action=assignArticleToLagerplatz" method="post">
        <div class="mb-3">
            <label for="artikel_id" class="form-label">Artikel</label>
            <select name="artikel_id" id="artikel_id" class="form-select" required>
                <?php foreach ($articles as $article): ?>
                    <option value="<?= $article['id'] ?>"><?= htmlspecialchars($article['name']) ?></option>
                <?php endforeach; ?>
            </select>
        </div>
        <div class="mb-3">
            <label for="lagerplatz_id" class="form-label">Lagerplatz</label>
            <select name="lagerplatz_id" id="lagerplatz_id" class="form-select" required>
                <?php foreach ($lagerplaetze as $lagerplatz): ?>
                    <option value="<?= $lagerplatz['id'] ?>"><?= htmlspecialchars($lagerplatz['name']) ?></option>
                <?php endforeach; ?>
            </select>
        </div>
        <div class="mb-3">
            <label for="menge" class="form-label">Menge</label>
            <input type="number" name="menge" id="menge" class="form-control" required min="1">
        </div>
        <button type="submit" class="btn btn-primary">Speichern</button>
    </form>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
